<?php
/**
 * @package 	WordPress
 * @subpackage 	Miss Sunshine
 * @version		1.0.0
 * 
 * Posts Slider Post Template
 * Created by CMSMasters
 * 
 */


$cmsmasters_metadata = explode(',', $cmsmasters_post_metadata);


$title = in_array('title', $cmsmasters_metadata) ? true : false;
$excerpt = (in_array('excerpt', $cmsmasters_metadata) && miss_sunshine_slider_post_check_exc_cont('post')) ? true : false;
$date = in_array('date', $cmsmasters_metadata) ? true : false;
$categories = (get_the_category() && (in_array('categories', $cmsmasters_metadata))) ? true : false;
$author = in_array('author', $cmsmasters_metadata) ? true : false;
$comments = (comments_open() && (in_array('comments', $cmsmasters_metadata))) ? true : false;
$likes = in_array('likes', $cmsmasters_metadata) ? true : false;
$views = in_array('views', $cmsmasters_metadata) ? true : false;
$more = in_array('more', $cmsmasters_metadata) ? true : false;


$cmsmasters_post_format = get_post_format();

?>
<!-- Start Posts Slider Post Article -->
<article id="post-<?php the_ID(); ?>" <?php post_class('cmsmasters_slider_post'); ?>>
	<div class="cmsmasters_slider_post_outer">
	<?php
		echo '<div class="cmsmasters_slider_post_date_img_wrap">';
		
			miss_sunshine_thumb_rollover(get_the_ID(), 'cmsmasters-post-slider-thumb', false, false, false, false, false, false, false, false, true, false, false);
		
			if ($categories) {
				$categories ? miss_sunshine_get_slider_post_category(get_the_ID(), 'category', 'post') : '';
			}

		echo '</div>';
		
		if ($title || $date || $author || $excerpt || $comments || $likes || $views || $more) {
			echo '<div class="cmsmasters_slider_post_inner">';

				$title ? miss_sunshine_slider_post_heading(get_the_ID(), 'post', 'h3') : '';
				
				if ($date || $author) {
					echo '<div class="cmsmasters_slider_post_cont_info entry-meta">';
					
						$date ? miss_sunshine_get_slider_post_date('post') : '';
						
						$author ? miss_sunshine_get_slider_post_author('post') : '';
						
					echo '</div>';
				}
				
				
				$excerpt ? miss_sunshine_slider_post_exc_cont('post') : '';
				
				
				if ($comments || $likes || $views || $more) {
					echo '<footer class="cmsmasters_slider_post_footer entry-meta">';
						
						$comments ? miss_sunshine_get_slider_post_comments('post') : '';
						
						$likes ? miss_sunshine_slider_post_like('post') : '';
						
						$views ? miss_sunshine_slider_post_views('post') : '';
						
						if ($more) {
							echo '<div class="cmsmasters_slider_post_read_more_wrap">';
								miss_sunshine_slider_post_more(get_the_ID());
							echo '</div>';
						}

					echo '</footer>';
				}
				
			echo '</div>';
		}
	?>
	</div>
</article>
<!-- Finish Posts Slider Post Article -->

