<?php
/**
 * @package 	WordPress
 * @subpackage 	Miss Sunshine
 * @version 	1.0.0
 *
 * CMSMasters WooCommerce Admin Settings
 * Created by CMSMasters
 *
 */


/* Single Settings */
function miss_sunshine_woocommerce_options_general_fields($options, $tab) {
	$defaults = miss_sunshine_settings_general_defaults();
	
	if ($tab == 'header') {
		$options[] = array(
			'section' => 'header_section',
			'id' => 'miss-sunshine' . '_woocommerce_cart_dropdown',
			'title' => esc_html__('Header WooCommerce Cart', 'miss-sunshine'),
			'desc' => esc_html__('show', 'miss-sunshine'),
			'type' => 'checkbox',
			'std' => $defaults[$tab]['miss-sunshine' . '_woocommerce_cart_dropdown']
		);
	}

	return $options;
}

add_filter('cmsmasters_options_general_fields_filter', 'miss_sunshine_woocommerce_options_general_fields', 10, 2);

